Bug 1317298 - genkey does not cleanup $PWD/tmprequest file
genkey does not cleanup $PWD/tmprequest file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: crypto-utils (Show other bugs)
25
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: EasyFix, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 17:27 EDT by Noel McLoughlin
Modified: 2017-12-12 05:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1278582
Environment:
Last Closed: 2017-12-12 05:58:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noel McLoughlin 2016-03-13 17:27:25 EDT
+++ This bug was initially created as a clone of Bug #1278582 +++

Description of problem:

During a makecert operation, the genkey leaves a 'tmprequest' file in $PWD on the file system. This 'tmprequest' file should be deleted after makecert operation completes.


Version-Release number of selected component (if applicable):

crypto-utils-2.4.1-62.fc25.x86_64

Actual results:

# genkey --days 365 --makeca f24.example.com
/usr/bin/keyutil -c makecert -g 2048 -s "CN=rawhide.example.com, OU=Testing, O=Frog, L=Frog, ST=Frog, C=IE" -v 24 -a -z /etc/pki/tls/.rand.6806 -o /etc/pki/CA/f24.example.com -k /etc/pki/CA/private/f24.example.com
cmdstr: makecert

cmd_CreateNewCert
command:  makecert
keysize = 2048 bits
subject = CN=rawhide.example.com, OU=Testing, O=Frog, L=Frog, ST=Frog, C=IE
valid for 24 months
random seed from /etc/pki/tls/.rand.6806
output will be written to /etc/pki/CA/f24.example.com
output key written to /etc/pki/CA/private/f24.example.com


Generating key. This may take a few moments...

Made a key
Opened tmprequest for writing
/usr/bin/keyutil Copying the cert pointer
Created a certificate
Wrote 1682 bytes of encoded data to /etc/pki/CA/private/f24.example.com 
Wrote the key to:
/etc/pki/CA/private/f24.example.com

[root@rawhide ~]# ll
total 20
-rw-r--r--. 1 root root   10 Mar  9 22:14 ansible_hosts
drwxr-xr-x. 2 root root 4096 Feb 13 19:29 Envs
-rwxr-xr-x. 1 root root  621 Feb 18 23:45 rpm
drwxr-xr-x. 3 root root 4096 Mar  4 16:42 stuff
-rw-r-----. 1 root root 1043 Mar 13 21:09 tmprequest   <==== TMPFILE IN $PWD

[root@rawhide ~]# date
Sun Mar 13 21:09:45 GMT 2016


Expected results:

.....

Made a key
Opened tmprequest for writing
/usr/bin/keyutil Copying the cert pointer
Removed tmprequest file     <====== TMPFILE REMOVED FROM $PWD
Created a certificate
...

Additional info:

This behaviour is observed in RHEL 6.6 also.
crypto-utils-2.4.1-24.2.el6.x86_64
Comment 1 Jan Kurik 2016-07-26 00:26:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Fedora End Of Life 2017-11-16 13:46:45 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:58:42 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.